Bug 200091 - k3b: recognizes new nfs mount only after restart
k3b: recognizes new nfs mount only after restart
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 09:53 EDT by Thomas Woerner
Modified: 2008-05-06 20:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2006-07-25 09:53:25 EDT
Description of problem:
k3b recognizes new nfs mount only after resart of k3b if you entered the
directory before.

Version-Release number of selected component (if applicable):
k3b-0.12.15-3.1.1

How reproducible:
always

Steps to Reproduce:
1. Start k3b, go to mount point in dirview
2. Mount nfs filessytem onto this directory.
3. Try to get into the newly mounted filesystem.
  
Actual results:
The directory is still empty.

Expected results:
Mounted filesystem is there.

Additional info:
Comment 1 Harald Hoyer 2006-07-25 10:01:31 EDT
this should be a general kde problem
Comment 2 Rex Dieter 2007-04-30 13:28:34 EDT
Or more specifically, lack of dbus-qt bindings.
Comment 3 Rex Dieter 2007-05-29 11:44:54 EDT
re-assigning (back) to k3b, see if we can get dbus-qt support working.
Comment 4 Rex Dieter 2007-07-09 11:30:21 EDT
should be better with any recent release -> closing.
Comment 5 Thomas Woerner 2007-07-24 10:26:11 EDT
No, it is not better - it is stillthe same.

But the bug affects all kde applications, therefore assigning to kdelibs.
Comment 6 Rex Dieter 2007-07-24 19:25:37 EDT
rpm -q k3b kdelibs
please.
Comment 7 Thomas Woerner 2007-07-25 05:25:57 EDT
kdelibs-3.5.7-13.fc8
k3b-1.0.2-1.fc8

It is not bound to k3b. This problem occurs where ever the kde fileselectionbox
is used. The qt fileselectionbox is working as expected.
Comment 8 Rex Dieter 2007-07-30 08:44:07 EDT
confirmed, using konq... needed a manual refresh to see new directory contents.

This may well be one of those things like when going to the doctor:
"Dr., my arm hurts when I move it like this..."
"Then don't do that!"

When I find time, I'll see about reporting this upstream, unless someone beats
me to it. :)
Comment 9 Thomas Woerner 2007-07-30 09:46:25 EDT
Any special preferenced on the thing to beat you? ;-)
Comment 10 Bug Zapper 2008-04-03 13:50:56 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:41:51 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.